#!/bin/sh
#
# Controlling Konversation with DCOP - Example 1.
#
# By Nathaniel W. Turner <nate@houseofnate.net>.
# The content of this file is placed in the public domain.
#
# The following example marks you as away on the Freenode network.  It assumes
# you are connected to a server called 'irc.freenode.net'.

for app in `dcop konversation-*`; do
    dcop $app Konversation \
            say 'irc.freenode.net' 'irc.freenode.net' '/away out and about'
done

# Explanation:
#
# Because you may have more than one instance of Konversation running at any
# given time, you have to determine the application ID of the Konversation
# instance you wish to control (even if you have only one instance running).
#
# This can be done by running the command:
#
#   dcop konversation-*
#
# The 'Konversation' object provides a method called 'say', which takes 3
# arguments, the server, the target (usually the channel name), and the command
# (whatever you would normally type in the channel window).
#
# Further study:
#
# Once you know the app ID, you can see the available methods on the
# Konversation object by running the command:
#
#   dcop konversation-<NNN> Konversation
#
# Good luck!
